org.eclipse.jdt.core.util

## Interface IBootstrapMethodsAttribute

All Superinterfaces:
  IClassFileAttribute

    public interface IBootstrapMethodsAttribute
    extends IClassFileAttribute

Description of a bootstrap methods attribute as described in the JVM specifications. This interface may be implemented by clients.

Since:
  3.8

### Method Summary

All Methods Instance Methods Abstract Methods
`IBootstrapMethodsEntry[]` `getBootstrapMethods()` Answer back the bootstrap methods table of this entry as specified in the JVM specifications.
`int` `getBootstrapMethodsLength()` Answer back the number of bootstrap methods of this entry as specified in the JVM specifications.

### Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

### Method Detail

#### getBootstrapMethodsLength

    int getBootstrapMethodsLength()

Answer back the number of bootstrap methods of this entry as specified in the JVM specifications.

Returns:
  the number of bootstrap methods of this entry as specified in the JVM specifications

#### getBootstrapMethods

    IBootstrapMethodsEntry[] getBootstrapMethods()

Answer back the bootstrap methods table of this entry as specified in the JVM specifications. Answer an empty array if none.

Returns:
  the bootstrap methods table of this entry as specified in the JVM specifications. Answer an empty array if none